Subject: Re: bug#22534: File notify broken on Windows

From: Michael Albinus <[email-masked]>
Date: Sun, 07 Feb 2016 19:37:56 +0100

Eli Zaretskii <[email-masked]> writes:

> Can you instrument filenotify.el to show the w32notify events this
> test generates, complete with the corresponding file names?  I will
> then compare to what I see here.

In file-notify-handle-event, there is a debug message. Uncomment it.

>> For the rest of this test, whereas the test passes in interactive
>> mode, it fails in batch mode with
>> several 'deleted' notifications. Namely, I need to apply the
>> following for the test to pass.
>
> Does it help to add a call to
>
>   (read-event nil nil 0.1)
>
> after the code that invokes the deletion in each of these cases?

Hopefully, I'll have access to an MS Windows machine next week. So I
could test in parallel.

Best regards, Michael.